cxgb3 firmware missing

Bug #1382710 reported by willmo on 2014-10-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Undecided
Tim Gardner
Trusty
Undecided
Tim Gardner
Utopic
Undecided
Tim Gardner

Bug Description

The main firmware binary for the Chelsio T3 NIC (cxgb3 driver) is missing from all recent Ubuntu releases. It keeps getting removed:

Quantal: http://kernel.ubuntu.com/git?p=ubuntu/linux-firmware.git;a=commit;h=574c3a8c2fe58e0450a74073b7af4d7fc8542890
Raring: http://kernel.ubuntu.com/git?p=ubuntu/linux-firmware.git;a=commit;h=3035c0ffa3ec8ae002db47b7c4a0d9d44fe1cb87
Saucy: http://kernel.ubuntu.com/git?p=ubuntu/linux-firmware.git;a=commit;h=2019348a15f06ca823ea9952cf1367e46d5ee912
Trusty: http://kernel.ubuntu.com/git?p=ubuntu/linux-firmware.git;a=commit;h=736986f8471b7e5bead862a8d9fff90a5a61c2a1
Utopic: http://kernel.ubuntu.com/git?p=ubuntu/linux-firmware.git;a=commitdiff;h=389ef5b51c03e2fe9c84cfe7772821090cda4d11

These commits should have KEPT cxgb3/t3fw-7.12.0.bin, which is the current version, but removed cxgb3/t3fw-7.0.0.bin, cxgb3/t3fw-7.1.0.bin, and cxgb3/t3fw-7.4.0.bin, which are indeed obsolete.

See here that 7.12 is the current version:

http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-utopic.git;a=blob;f=drivers/net/ethernet/chelsio/cxgb3/version.h;h=165bfb91487a4a03b09450e440ff5552387b7019;hb=HEAD
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-utopic.git;a=blob;f=drivers/net/ethernet/chelsio/cxgb3/cxgb3_main.c;h=5d9cce053cc9a90df1608d049212f639bf559e10;hb=HEAD#l990

Here's what one sees in dmesg:

Oct 12 01:47:02 argon kernel: [ 13.225027] cxgb3 0000:03:00.0: found old FW minor version(7.10), driver compiled for version 7.12
Oct 12 01:47:02 argon kernel: [ 13.489590] cxgb3 0000:03:00.0: Direct firmware load failed with error -2
Oct 12 01:47:02 argon kernel: [ 13.489595] cxgb3 0000:03:00.0: Falling back to user helper
Oct 12 01:47:02 argon kernel: [ 13.490221] cxgb3 0000:03:00.0: could not upgrade firmware: unable to load cxgb3/t3fw-7.12.0.bin
Oct 12 01:47:02 argon kernel: [ 13.492557] cxgb3 0000:03:00.0: FW upgrade to 7.12.0 failed

willmo (willmo) on 2014-10-17
description: updated
Tim Gardner (timg-tpi) on 2014-10-21
Changed in linux-firmware (Ubuntu Utopic):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → Fix Committed
Changed in linux-firmware (Ubuntu Trusty):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
Tim Gardner (timg-tpi) on 2014-10-21
Changed in linux-firmware (Ubuntu Trusty):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.137

---------------
linux-firmware (1.137) utopic; urgency=medium

  * Restore cxgb3/t3fw-7.12.0.bin which was accidentally dropped
    when grooming for obsolete firmware.
    -LP: #1382710
 -- Tim Gardner <email address hidden> Tue, 21 Oct 2014 14:41:52 -0400

Changed in linux-firmware (Ubuntu Utopic):
status: Fix Committed → Fix Released

Hello willmo, or anyone else affected,

Accepted linux-firmware into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/linux-firmware/1.127.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

willmo (willmo) wrote :

Verified 1.127.10.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.127.10

---------------
linux-firmware (1.127.10) trusty; urgency=medium

  * Add bnx2x firmware to the NIC firmware udeb to support net booting as described
    by the kernel MODULE_FIRMWARE statements:
     debian.master/abi/3.16.0-23.31/fwinfo:firmware: bnx2x/bnx2x-e1-7.8.19.0.fw
     debian.master/abi/3.16.0-23.31/fwinfo:firmware: bnx2x/bnx2x-e1h-7.8.19.0.fw
     debian.master/abi/3.16.0-23.31/fwinfo:firmware: bnx2x/bnx2x-e2-7.8.19.0.fw
    -LP: #1378491

linux-firmware (1.127.9) trusty; urgency=medium

  * Restore cxgb3/t3fw-7.12.0.bin which was accidentally dropped
    when grooming for obsolete firmware.
    -LP: #1382710

linux-firmware (1.127.8) trusty; urgency=medium

  * linux-firmware: Add firmware patch for Intel Bluetooth 7265 ROM-spin(D0)
    upstream cherry-pick of 0e5f63771d0df6d7859f7c4100a74d737c62ac88
    -LP: #1383138
 -- Tim Gardner <email address hidden> Wed, 22 Oct 2014 09:15:24 -0400

Changed in linux-firmware (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers